uk.gov.hmrc.auth.core.ConfidenceLevel

# L50

###
Related Doc: package ConfidenceLevel

#### object L50 extends ConfidenceLevel with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, ConfidenceLevel, Predicate, Ordered[ConfidenceLevel], Comparable[ConfidenceLevel], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. L50
2. Serializable
3. Serializable
4. Product
5. Equals
6. ConfidenceLevel
7. Predicate
8. Ordered
9. Comparable
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def <(that: ConfidenceLevel): Boolean

   Definition Classes
     Ordered

4. #### def <=(that: ConfidenceLevel): Boolean

   Definition Classes
     Ordered

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def >(that: ConfidenceLevel): Boolean

   Definition Classes
     Ordered

7. #### def >=(that: ConfidenceLevel): Boolean

   Definition Classes
     Ordered

8. #### def and(other: Predicate): Predicate

   Join this Predicate with another as a boolean AND

   Join this Predicate with another as a boolean AND

   other

     A Predicate to join with this Predicate

   returns

     A CompositePredicate containing this Predicate and the supplied one

   Definition Classes
     Predicate

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def compare(that: ConfidenceLevel): Int

    Definition Classes
      ConfidenceLevel → Ordered

12. #### def compareTo(that: ConfidenceLevel): Int

    Definition Classes
      Ordered → Comparable

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val level: Int

    Definition Classes
      ConfidenceLevel

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def or(other: Predicate): Predicate

    Join this Predicate with another as a boolean OR

    Join this Predicate with another as a boolean OR

    other

      A Predicate to join with this Predicate

    returns

      An AlternatePredicate containing this Predicate and the supplied one

    Definition Classes
      Predicate

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toJson: JsValue

    Convert this predicate to JSON for sending over the wire

    Convert this predicate to JSON for sending over the wire

    returns

      the JSON

    Definition Classes
      ConfidenceLevel → Predicate

25. #### val toString: String

    Definition Classes
      ConfidenceLevel → AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConfidenceLevel

### Inherited from Predicate

### Inherited from Ordered[ConfidenceLevel]

### Inherited from Comparable[ConfidenceLevel]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped